#include "include/naf.h"

    /*
     * We allow the use of function up to 163. Functions with f>=100
     * are used to load the List_Of_Commands to be executed after each
     * interrupt (see case default: in ioctl_accamac)
     *
     */

int NAF(int n, int a, int f) {
  return (((f << 0x05) | n) | (a << 0x0E));
}

int NAF2(int n, int a, int f) {
  return (((f << 0x05) | n) | (a << 0x0A)) | (0x8000);
}

int N_NAF(int naf) { return ( naf ) & 0x1F; }
int F_NAF(int naf) { return ( naf >> 0x05 ) & 0xFF; }
int A_NAF(int naf) { return ( naf >> 0x0E ) & 0x0F; }

int N_NAF2(int naf) { return ( naf ) & 0x1F; }
int F_NAF2(int naf) { return ( naf >> 0x05 ) & 0x3F; }
int A_NAF2(int naf) { return ( naf >> 0x0B ) & 0x0F; }

int Q(int mode) { return (mode & 0x01); }
int L(int mode) { return ((mode & 0x0F) >> 0x03); }
int X(int mode) { return ((mode & 0x02) >> 0x01); }





